Bug 448557 - (CVE-2008-2359) CVE-2008-2359 system-config-network: network configuration change by the unprivileged user
CVE-2008-2359 system-config-network: network configuration change by the unpr...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 13:03 EDT by Tomas Hoger
Modified: 2008-07-25 06:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 06:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-05-27 13:03:16 EDT
It was discovered that consolehelper configuration files
(/etc/security/console.apps/system-config-network*) as shipped in Fedora 8
system-config-network packages allowed any local console user to start
system-config-network configuration program with root privileges by providing
only user password, not administrator password.  This allows any user with local
console access to change network configuration of the host.

Configuration file did not include USER=root directive and tried to include file
config-util, which does not exist on Fedora 8 and is only provided by usermode
package in Fedora 9.  Without USER= specification, consolehelper prompted user
for user password instead of intended root password.
Comment 1 Tomas Hoger 2008-05-27 13:14:38 EDT
This issue did not affect other Fedora versions or system-config-network in Red
Hat Enterprise Linux 4 and 5 and redhat-config-network in Red Hat Enterprise
Linux 2.1 and 3.
Comment 2 Fedora Update System 2008-05-28 22:51:46 EDT
system-config-network-1.5.10-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Red Hat Product Security 2008-07-25 06:23:57 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-4633


Note You need to log in before you can comment on or make changes to this bug.